Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class DropBarInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.DropBarInfo

    public class DropBarInfo

extends ChartTypeInfo

Contains the information of DropBar chart type in the file. The class extends chartTypeInfo.

Field Summary

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`DropBarInfo(short dataLabel, boolean is3D, Info3D info3D)` Constructs class DropBarInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Gets the type of the chart.
`short` | `getStyle()` Gets the gap width of drop bar.
`boolean` | `hasShadow()` Gets whether this chart has a shadow or not.
`void` | `setStyle(short style)` Sets the gap width of drop bar.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropBarInfo

    public DropBarInfo(short dataLabel,
                       boolean is3D,
                       Info3D info3D)

  Constructs class DropBarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label. See `ChartTypeInfo.SHOWNONE`, `ChartTypeInfo.SHOWVALUE` and `ChartTypeInfo.SHOWLABEL`.
    `is3D` - true if the chart is a 3D chart
    `info3D` - the 3D chart info

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Gets the gap width of drop bar.

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    the gap width of drop bar

### setStyle

    public void setStyle(short style)

  Sets the gap width of drop bar.

  Parameters:
    `style` - the gap width of drop bar

### hasShadow

    public boolean hasShadow()

  Gets whether this chart has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    true if this chart has a shadow

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD